#version unofficial MegaPOV 0.7;

#include "colors.inc"
#include "textures.inc"

//Views: 1(Front) 2(Top) 3(Side) 4(Wireframe Camera) 5(Render)
#declare View = 5;

//Color_Schemes: 1(Gray/Black) 2(Black/Green) 3(Blue/White)
#declare Color_Scheme = 1;

//Other Declares
#declare Grid_Spacing = 1;
#declare Grid = on;
#declare Axes = off;
#declare Zoom_Factor = 15;
#declare Pan_Horiz = 0;
#declare Pan_Vert = 0;
#declare Camera = <5,10,-10>;
#declare Target = <0,0,0>;
#include"views.inc" 

// Objects and Lights 
#declare Light = <-10,10,-15>;
#declare Light_Color = Wheat;
#include "light.inc"

#declare Sphere_Texture = Gold_Metal
#declare Sphere_Color = Yellow
#declare Sphere_Scale_Y=1.5;
#include "wire sphere.inc"

#declare Cone_Translate = <0,2,0>
#declare Cone_Rotate_Z=180;
#include "wire cone.inc"

#declare Cylinder_Translate = <-3,-1,1>;
#declare Cylinder_Rotate_X=45;
#include "Wire cylinder.inc"

#declare Box_Rotate_Y = 45;
#declare Box_Translate = <.5,-2,-2>
#include "wire box.inc" 

#declare Torus_Translate = <-3,0,-3>
#declare Torus_Rotate_X = 90;
#declare Torus_Rotate_Y = -45;
#declare Torus_Scale=2;
#include "wire torus.inc" 

#declare Plane_Position = -3;
#include "wire plane.inc"

#declare Lathe_Scale = .5;
#declare Lathe_Translate = <2,-1,2>
#include "wire lathe.inc"

#declare Prism_Rotate_X = -45
#declare Prism_Translate = <-4,1,3>
#declare Prism_Scale = .75;
#include "wire prism.inc"
