#version unofficial MegaPOV 0.7;

#ifndef(Color_Scheme)
#declare Color_Scheme = 1;
#end
#switch(Color_Scheme)
#case(1)
background{Gray60}
#declare Grid_Color = Gray30;
#break
#case(2)
background{Black}
#declare Grid_Color=Green;
#case(3)
background{SkyBlue}
#declare Grid_Color=White;
#end

//Grid Construction
#declare Grid_Line = 
cylinder {<0,-100,0>,<0,100,0>,.02
pigment {Grid_Color}
finish {Luminous}
no_shadow 
translate x*-50}
#ifndef(Grid_Spacing)
#declare Grid_Spacing =1;
#end
#declare Vert_Grid = union {
#declare Count = 0;
#while(Count<101)
object {Grid_Line 
translate x*Count}
#declare Count = Count+Grid_Spacing;
#end}
#declare Horiz_Grid = 
object {Vert_Grid rotate z*90}
#declare Front_Grid = union {
object {Vert_Grid}
object {Horiz_Grid}}
#declare Top_Grid = 
object {Front_Grid rotate x*90}
#declare Side_Grid = 
object {Front_Grid rotate y*90}

//View Definitions: 1(Front) 2(Top) 3(Side) 4(Camera)
#ifndef(View)
#declare View = 1;
#end
#ifndef(Zoom_Factor)
#declare Zoom_Factor = 10;
#end
#ifndef(Zoom_Amount)
#declare Zoom_Amount = 1;
#end
#ifndef(Camera)
#declare Camera = <-5,5,-10>;
#end
#ifndef(Target)
#declare Target = <0,0,0>;
#end
#ifndef(Pan_Horiz)
#declare Pan_Horiz=0;
#end
#ifndef(Pan_Vert)
#declare Pan_Vert=0;
#end
#ifndef(Grid)
#declare Grid = on;
#end
#ifndef(Axes)
#declare Axes = on;
#end


//Create Views
#switch(View)
#case(1)//Front
camera{location <Pan_Horiz,Pan_Vert,-Zoom_Factor*Zoom_Amount>
look_at <Pan_Horiz,Pan_Vert,0>
orthographic}
#if(Grid=on)
object {Front_Grid}
#end
text {
ttf "arial.ttf"
"FRONT"
.1,0
align_center
pigment {Green}
finish {Luminous}
no_shadow
translate <0,Zoom_Factor/3,0>}
#break
#case(2)//Top
camera {location<Pan_Horiz,Zoom_Factor*Zoom_Amount,Pan_Vert>
look_at<0,0,0>
orthographic}
#if(Grid=on)
object {Top_Grid}
#end
text {
ttf "arial.ttf"
"TOP"
.1,0
align_center
pigment {Green}
finish {Luminous}
no_shadow
rotate x*90
translate <0,0,Zoom_Factor/3>}
#break
#case(3)//Side
camera {location<Zoom_Factor*Zoom_Amount,Pan_Vert,Pan_Horiz>
look_at<0,Pan_Vert,Pan_Horiz>
orthographic}
#if(Grid=on)
object {Side_Grid}
#end
text {
ttf "arial.ttf"
"SIDE"
.1,0
align_center
pigment {Green}
finish {Luminous}
no_shadow
rotate y*-90
translate <0,Zoom_Factor/3,0>}
#break
#case(4)//Perspective
camera {location Camera
look_at Target}
#break  
#case(5)//Render
camera {location Camera
look_at Target}
#end  

//Camera Proxy
#if(View<4)
#declare Box_Y_Strut = cylinder {<0,-.5,0>,<0,.5,0>,.02
pigment {Brown}
finish {Luminous}
no_shadow}

#declare Box_X_Strut = cylinder {<-.5,0,0>,<.5,0,0>,.02
pigment {Brown}
finish {Luminous}
no_shadow}

#declare Box_Z_Strut = cylinder {<0,0,-.5>,<0,0,.5>,.02
pigment {Brown}
finish {Luminous}
no_shadow}

union {
object {Box_Y_Strut translate <-.5,0,-.5>}
object {Box_Y_Strut translate <-.5,0,.5>}
object {Box_Y_Strut translate <.5,0,-.5>}
object {Box_Y_Strut translate <.5,0,.5>}

object {Box_X_Strut translate <0,-.5,-.5>}
object {Box_X_Strut translate <0,-.5,.5>}
object {Box_X_Strut translate <0,.5,-.5>}
object {Box_X_Strut translate <0,.5,.5>}

object {Box_Z_Strut translate <-.5,-.5,0>}
object {Box_Z_Strut translate <-.5,.5,0>}
object {Box_Z_Strut translate <.5,-.5,0>}
object {Box_Z_Strut translate <.5,.5,0>}
translate Camera}
#end

//Create Axis Marker
#if(View<5)
#if(Axes = on)
union {
union {
cylinder {<0,0,0>,<3,0,0>,.05}
cone {<3,0,0>,.1,<3.25,0,0>,0}
pigment {Red}
finish {Luminous}
no_shadow}
union {
cylinder {<0,0,0>,<0,3,0>,.05}
cone {<0,3,0>,.1,<0,3.25,0>,0}
pigment {Green}
finish {Luminous}
no_shadow}
union {
cylinder {<0,0,0>,<0,0,3>,.05}
cone {<0,0,3>,.1,<0,0,3.25>,0}
pigment {Blue}
finish {Luminous}
no_shadow}}
#end
#end